@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;200;400;700&display=swap");

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background-image: url("https://source.unsplash.com/1600x900/?andaman");
    background-repeat: no-repeat;
    background-size: cover;
    font-family: "Roboto", sans-serif;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    font-weight: 300; /* TODO: if needed, please update this */
}

.container {
    background: rgba(0, 0, 0, 0.4);
    color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100%;
}

.current-info {
    flex: 3;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.date-location-container {
    margin: 1rem;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.location-search-bar {
    display: flex;
    background: rgba(255, 255, 255, 0.2);
    border: 1px solid rgba(255, 255, 255, 0.2);
    backdrop-filter: saturate(180%) blur(10px);
}

.location {
    background: none;
    border: none;
    padding: 0.7rem;
    font-size: 2.3rem;
    color: white;
    /* text-align: left; */
}

.location::placeholder {
    color: rgba(255, 255, 255, 0.5);
    /* text-align: center; */
}

.location:focus {
    color: white;
    outline: none;
    /* text-align: center; */
}

.location-search-btn {
    background: none;
    border: none;
    padding: 0.7rem;
    font-size: 2rem;
    cursor: pointer;
    color: white;
    border-left: 2px solid rgba(0, 0, 0, 0.2);
}

.location-search-btn:hover {
    background: rgba(255, 255, 255, 0.2);
}

.location-search-btn:active {
    background: rgba(0, 0, 0, 0.1);
}

.date-time {
    font-size: 1.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.date {
    margin-top: 0.5rem;
    margin-bottom: 0.3rem;
}

.weather-details-container {
    width: 100%;
    height: 100%;
    display: flex;
}

.temp-info-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    margin-right: 0.5rem;
}

.current-temperature {
    font-size: 8rem;
}

.feels-temperature {
    font-size: 1.2rem;
    padding-right: 0.7rem;
}

.general-weather-info-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.general-weather-info-icon {
    padding: 1rem 1.5rem;
    font-size: 7rem;
}

.general-weather-info-text {
    padding: 0.5rem 0.4rem;
    border-radius: 5px;
    background: rgba(0, 0, 0, 0.35);
    backdrop-filter: saturate(100%) blur(2px);
    transition: all 200ms ease-in;
}

.general-weather-info-text:hover {
    background: rgba(255, 255, 255, 0.35);
    transform: scale(1.1);
}

.additional-weather-info-container {
    flex: 1;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    margin-left: 0.5rem;
    align-items: center;
    font-size: 1.2rem;
    color: rgb(220, 220, 220);
    font-weight: 400;
}

.additional-weather-info-text-list,
.additional-weather-info-icon-list {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.additional-weather-info-icon {
    padding: 0.2rem 0.1rem;
    font-size: 1.7rem;
}

.additional-weather-info-text {
    padding: 0.5rem 0.4rem;
    margin-left: 1rem;
}

.future-forecast-container {
    background: rgba(255, 255, 255, 0.4);
    backdrop-filter: saturate(180%) blur(10px);
    width: 100%;
    overflow-y: scroll;
    display: flex;
    flex: 1;
}

.future-forecast-item {
    padding: 1.5rem;
    min-width: 175px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    animation: show 500ms ease-in;
    border: 1px solid rgba(0, 0, 0, 0.2);
}

@keyframes show {
    0% {
        opacity: 0.4;
        transform: scale(0);
    }
}

.future-forecast-item:nth-child(3n + 1) {
    border-top: 5px solid rgba(255, 255, 10, 0.9);
}

.future-forecast-item:nth-child(3n + 2) {
    border-top: 5px solid rgba(10, 255, 255, 0.9);
}

.future-forecast-item:nth-child(3n) {
    border-top: 5px solid rgba(255, 255, 255, 0.9);
}

.future-forecast-day,
.future-forecast-icon,
.future-forecast-temperature,
.future-forecast-general-info {
    margin: 0.2rem;
    padding: 0.2rem;
    font-weight: 400;
    transition: all 200ms ease-in;
}

.future-forecast-icon:hover,
.future-forecast-general-info:hover {
    transform: scale(1.1);
}

.future-forecast-icon {
    background: rgba(0, 0, 0, 0.2);
    padding: 0.3rem;
    border-radius: 50px;
}

.future-forecast-general-info {
    background: rgba(0, 0, 0, 0.2);
    padding: 0.4rem;
    border-radius: 3px;
    font-size: 0.9rem;
}

@media screen and (max-width: 768px) {
    body {
        background-image: url("https://source.unsplash.com/900x1600/?andaman");
    }

    .date-location-container {
        margin-bottom: 0;
        padding-bottom: 0;
    }

    .location {
        font-size: 2rem;
    }

    .location-search-btn {
        font-size: 1.3rem;
    }

    .date-time {
        font-size: 1rem;
    }

    .weather-details-container {
        flex-direction: column;
    }

    .temp-info-container {
        justify-content: center;
        align-items: center;
    }

    .current-temperature {
        font-size: 4rem;
    }

    .general-weather-info-icon {
        font-size: 3rem;
        padding-top: 0;
        padding-bottom: 0;
    }

    .additional-weather-info-container {
        justify-content: center;
        align-items: center;
    }
}
